package com.tencent.mm.plugin.appbrand.launching.b;

import android.net.Uri;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.launching.b.a.a;
import com.tencent.mm.plugin.appbrand.ui.AppBrand404PageUI;

public final class c extends a {
    /* Access modifiers changed, original: final */
    public final void a(String str, Uri uri, a aVar) {
        AppMethodBeat.i(132036);
        switch (1.ijn[aVar.ordinal()]) {
            case 1:
                AppBrand404PageUI.show(2131296614);
                AppMethodBeat.o(132036);
                return;
            case 2:
                AppBrand404PageUI.show(2131296614);
                AppMethodBeat.o(132036);
                return;
            case 3:
                AppBrand404PageUI.show(2131296614);
                AppMethodBeat.o(132036);
                return;
            case 4:
                AppMethodBeat.o(132036);
                return;
            default:
                AppBrand404PageUI.show(2131296614);
                AppMethodBeat.o(132036);
                return;
        }
    }
}
